Using newer version of PHP

Connect with other users about what to run on your webhosting (and how to run it) here.
Post Reply
Washclof
New to forums
New to forums
Posts: 1
Joined: Tue May 14, 2019 7:51 am

Using newer version of PHP

Post by Washclof » Tue May 14, 2019 7:57 am

Hello!

I see that the servers do have newer versions of PHP installed (looks like it defaults to 7.1). Is it possible through a .htaccess to direct a site/directory to use 7.2 or 7.3?

Thanks

User avatar
Edge100x
Founder
Founder
Posts: 12157
Joined: Thu Apr 18, 2002 11:04 pm
Location: Seattle
Contact:

Re: Using newer version of PHP

Post by Edge100x » Tue May 14, 2019 8:13 am

PHP 7.2 and 7.3 are installed on our webhosting machines and usable from the command line, so you may be able to do this by modifying your scripts to have a shebang line at the top and reconfiguring Apache to process them using CGI instead of the default mod_php handler. But, this isn't something that I've experimented with or that we officially support. To use a custom version of PHP or other software, I'd recommend using an unmanaged VDS, instead.

Post Reply